petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatDenseRestoreArray

returns access to the array where the data for a dense matrix is stored obtained by MatDenseGetArray()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseRestoreArray(Mat A,PetscScalar **array)

Not Collective Many br

### Input Parameters

mat -a MATSEQDENSE or MATMPIDENSE matrix Many br
array -pointer to the data Many br

Many br

### See Also

MatDenseGetArray()

Level:intermediate
Location:src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex30.c.html